%define upstream_name    MooX-Role-POE-Emitter
%define upstream_version 1.001002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Pluggable POE event emitter role for cows
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(List::Objects::Types)
BuildRequires: perl(List::Objects::WithUtils)
BuildRequires: perl(Moo) >= 1.0.7
BuildRequires: perl(MooX::late)
BuildRequires: perl(MooX::Role::Pluggable) >= 0.110.0
BuildRequires: perl(MooX::Types::MooseLike) >= 0.150.0
BuildRequires: perl(POE)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(namespace::clean) >= 0.230.0
BuildRequires: perl(strictures) >= 1.0.0
BuildArch:  noarch

%description
This is a the Moo::Role manpage for a the POE manpage Observer Pattern
implementation; it is derived from the POE::Component::Syndicator manpage
by BINGOS, HINRIK, APOCAL et al, but with more cows ;-)

Consuming this role gives your class a the POE::Session manpage capable of
emitting events to loaded plugins and registered "listener" sessions. It
also brings in the MooX::Role::Pluggable manpage, making your emitter
pluggable (see the the MooX::Role::Pluggable manpage documentation for
plugin-related details).

You do not need to create your own the POE::Session manpage; calling the
/_start_emitter manpage will spawn one for you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.1.2-4pclos2017
- rebuild against updates

